CrossDomainCoupler.h File Reference
`#include <speckley/Brick.h>`
`#include <speckley/Rectangle.h>`
`#include <ripley/Brick.h>`
`#include <ripley/Rectangle.h>`

Go to the source code of this file.

## Classes

class | speckley::RipleyCoupler
struct | speckley::RipleyCoupler::Ripley

## Namespaces

| speckley

## Functions

void | speckley::interpolateAcross3D (escript::Data &target, const escript::Data &source, const Brick *speck, const double s_dx[3], int rank, MPI_Comm comm)
| interpolates data given on source onto target where source and target are given on different domains More...
bool | speckley::probeInterpolationAcross (int fsType_source, const escript::AbstractDomain &domain, int fsType_target, int dim)